﻿<?xml version="1.0" encoding="utf-8"?>
<configuration>
    <configSections>
        <sectionGroup name="estat.sri">
            <section name="mapping.store" type="Estat.Sri.MappingStoreRetrieval.Config.MappingStoreConfigSection, MappingStoreRetrieval" />
            <section name="module" type="Estat.Sdmxsource.Extension.Config.ModuleConfigSection, Estat.SdmxSource.Extension" />
        </sectionGroup>
    </configSections>
  <connectionStrings>
    <clear />
    <add name="sqlserver" connectionString="Data Source=sodi-test;Initial Catalog=MASTORE;User Id=mauser;Password=123" providerName="System.Data.SqlClient" />
    <add name="odp" connectionString="Data Source=sodi-test/xe;User ID=msdb_scratch;Password=123" providerName="Oracle.ManagedDataAccess.Client" />
    <add name="mysql" connectionString="server=sodi-test;user id=mauser;password=123;database=msdb_scratch;default command timeout=120" providerName="MySql.Data.MySqlClient" />
  </connectionStrings>
    <estat.sri>
        <module>
            <retrievers>
                <add name="SampleFactory" />
            </retrievers>
        </module>
    </estat.sri>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="mscorlib" publicKeyToken="b77a5c561934e089" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-9.0.0.0" newVersion="9.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5" /></startup></configuration>
